#include <iostream>

using namespace std;

int main()
{
    int n,k;
    int counter=0;
    int counter2=0;
    cin>>n>>k;
    int a[1000000];
    int zamena[1000000];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(a[i]==a[j])
            {
                counter++;
                if(counter>=k)
                {
                    zamena[counter2]=a[i];
                    counter2++;
                }
            }
        }
        counter=0;
    }
    cout<<counter2<<endl;
    for(int i=0;i<counter2;i++)
    {
        cout<<zamena[i]<<" ";
    }

}